# Interface MentionItem

interface MentionItem {
action ?: string;
highlightedNotePathTitle ?: string;
id : string;
link ?: string;
name : string;
notePath ?: string;
noteTitle ?: string;
}

- Defined in src/public/app/types.d.ts:437

##### Index

### Properties

action?
highlightedNotePathTitle?
id
link?
name
notePath?
noteTitle?

## Properties

### `Optional` action

action?: string

- Defined in src/public/app/types.d.ts:438

### `Optional` highlightedNotePathTitle

highlightedNotePathTitle?: string

- Defined in src/public/app/types.d.ts:444

### id

id: string

- Defined in src/public/app/types.d.ts:440

### `Optional` link

link?: string

- Defined in src/public/app/types.d.ts:442

### name

name: string

- Defined in src/public/app/types.d.ts:441

### `Optional` notePath

notePath?: string

- Defined in src/public/app/types.d.ts:443

### `Optional` noteTitle

noteTitle?: string

- Defined in src/public/app/types.d.ts:439